/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * OPSBrowser.java
 * 
 * Time-stamp: <2003-02-03 18:53:07 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: OPSBrowser.java,v 1.4 2004/09/09 15:30:59 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen ;
import laas.friends.cosmopen.graphAnalysis.* ;

/**
 * @version $Name: release-1-3-rc1 $ $Revision: 1.4 $
 * @since Version 0.0.1
 */
public class OPSBrowser {

    public static void main(String[] args) {

	if (args.length!=2) {
	    System.out.println("OPSBrowser (c) F.Taiani LAAS-CNRS 2000") ;
	    System.out.println("Usage: ");
	    System.out.println("   java laas.friends.cosmopen.OPSBrowser "+
			       "<inputFile> <outputFile>");
	    System.exit(1) ;
	} // EndIf not exactly 2 arguments

	try {
	    java.io.InputStream  input  = new java.io.FileInputStream (args[0]) ;
	    java.io.OutputStream output = new java.io.FileOutputStream(args[1]) ;

	    XMLGraphReader 
		reader = new XMLGraphReader() ; 
	    reader.setProgressListener(new TextProgressListener(System.out));
	    DirectedGraphWithDict 
		graph = reader.readGraphFromXML(input) ;
	    // graph = graph.extractBackwardClosure
	    //	(graph.getNodeWithName("JTCThread"));
	    DirectedGraphWithDict2DotOStream
		writer = new DirectedGraphWithDict2DotOStream(output);

	    writer.writeGraphInDotFormat(graph) ;
	} catch (Exception e) {
	    e.printStackTrace() ;
	} // EndCatch

    } // EndMethod main

} // EndClass OPSBrowser
