/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * AbstractBindCommand.java
 * 
 * Time-stamp: <2002-08-27 17:21:35 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: AbstractBindCommand.java,v 1.3 2003/10/13 12:18:18 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands;

import laas.friends.cosmopen.interpreter.CommandListener ;
import laas.friends.cosmopen.interpreter.Command ;

/**
 * An abstract class of commands that bind a variable to a file.
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.3 $
 * @since Version 0.1.1
 */
public abstract class AbstractBindCommand
    extends CommandWithVariableArgs 
//     implements laas.friends.cosmopen.interpreter.CommandListener 
{
    public AbstractBindCommand(String aName) {
	super(aName,1,2) ;
     } // EndConstructor Bind2PsCommand

    public boolean handleCallWithRawFormatOrNot
	( String[] args,
	  boolean  isRawOuput ) 
    {
	if ( ! passedVariableDoesExist(args) ) return false ;

	// We use the robustness of BindVariableToFile to cancel
	// the possible precedent binding (BindVariableToFile is
	// robust to null name and unknown variable).

	String theFileIShouldBindTo ;
	if (args.length==3) theFileIShouldBindTo = args[2] ;
	else                theFileIShouldBindTo = ToPsCommand.DEFAULT_FILE ;
	GraphVariable.BindVariableToFileRawOrNot(nameOfBoundVariable,null    , isRawOuput ) ;
	GraphVariable.BindVariableToFileRawOrNot(args[1],theFileIShouldBindTo, isRawOuput ) ;
// 	GraphVariable.BindVariableToFileRawOrNot(args[1],ToPsCommand.DEFAULT_FILE,isRawOuput) ;
	nameOfBoundVariable = args[1] ;
	return true ;

    } // EndMethod handleCall

    private String nameOfBoundVariable = null ;

} // EndClass AbstractBindCommand
