/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * AbstractTime.java
 * 
 * Time-stamp: <2003-02-11 09:21:05 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: AbstractTime.java,v 1.2 2003/04/07 18:10:35 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands;

import laas.friends.cosmopen.graphAnalysis.* ;

/**
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.1.3
 */
abstract public class AbstractTime extends AbstractRemove {

    public AbstractTime(String aName) {
	super(aName) ;
    } // EndConstructor AbstractTime

    protected void notifyChangeToHistory(String[] args) {

	super.notifyChangeToHistory(args) ;
	// We add a comment to the history in order to know that event ID corresponds to

	GraphVariable.PutHistoryArgsInputOutput
	    ( new String[] { "## "+ 
			     GraphVariable
			     .GetMostRecentEventNameBeforeEventID(Integer.parseInt(args[1])) }, 
	      new String[] { args[2]     },
	      new String[] { args[2]     }
	      );

   } // EndMethod notifyChangeToHistory


} // EndClass AbstractTime
