/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * BackwardCommand.java
 * 
 * Time-stamp: <02/08/15 21:48:59 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: BackwardCommand.java,v 1.2 2003/04/07 18:10:35 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

import laas.friends.cosmopen.graphAnalysis.DirectedGraphWithDict ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.3
 */
public class BackwardCommand extends AbstractBackForwCommand {

    public BackwardCommand() {
	super("backward",BACKWARD) ;
	addAlias("b");
	addAlias("bak");
	addAlias("back");
	this.setShortDescription
	    ( "computes the backward closure of a graph.") ;
	this.setLongDescription
	    ( "'backward <seed> [<context>]' computes the backward closure of "+
	      "the graph contained in the variable whose name is passed. The "+
	      "result of the closure is stored in the passed variable.") ;
    } // EndConstructor BackwardCommand

    public boolean handleCall(String[] args) throws Exception {
	if ( ! doNecessaryVariableChecks(args,1,2) ) return false ;

	// -1 means no limit on the backward operation -> closure
	return this.handleCallInternal(args,-1) ;

    } // EndMethod handleCall

} // EndClass BackwardCommand
