/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * ClearAllCommand.java
 * 
 * Time-stamp: <2003-03-11 11:20:40 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: ClearAllCommand.java,v 1.2 2003/04/07 18:10:35 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

import laas.friends.cosmopen.interpreter.Command ;
import laas.friends.cosmopen.graphAnalysis.* ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.3
 */
public class ClearAllCommand extends Command {

    public ClearAllCommand() {
	super("clearall",0,0) ;
	this.setShortDescription
	    ( "reinitializes the interpreter" ) ;
	this.setLongDescription
	    ( "'clearall' reinitializes the whole interpreter. "+
	      "All variables defined since the last initialization get lost.") ;
    } // EndConstructor ClearAllCommand

    public boolean handleCall(String[] args) {
	if ( ! thereIsRightNumberOfArgs(args) ) return false ;
	if (!GraphVariable.BaseGraphIsSet()) {
	    println
		( "No Base Graph is currently loaded. " +
		  "Type 'help clearall' for more information."
		  ) ; // EndCall println
	    return false ;
	} // EndIf there is no BaseGraph defined in GraphVariable.
	GraphVariable.ClearAllVariables() ;
	return true ;
    } // EndMethod handleCall

} // EndClass ClearAllCommand
