/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * HistoryCommand.java
 * 
 * Time-stamp: <2002-11-26 16:08:12 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: HistoryCommand.java,v 1.2 2003/04/07 18:10:36 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.3
 */
public class HistoryCommand extends CommandWithVariableArgs {

    public HistoryCommand() {
	super("history",0,1) ;
	this.setShortDescription
	    ( "prints the history of commands - globally, or on a variable.") ;
	this.setLongDescription
	    ( "'history <aVariableName>' prints the history of commands "+
	      "on the variable <aVariableName>.\n"+
	      "'history' alone print the history of all commands since "+
	      "last 'clearall' command.") ;
    } // EndConstructor HistoryCommand

    public boolean handleCall(String[] args) {
	History historyToPrint ;
	if (args.length==1) {
	    println("Global History :");
	    historyToPrint = GraphVariable.GetGlobalHistory() ;
	}
	else {
	    if ( ! passedVariableDoesExist(args) ) return false ;
	    println("History for '"+args[1]+"':");
	    historyToPrint = GraphVariable.GetHistoryForVariable(args[1]) ;
	}

	historyToPrint.printYourselfToStream(System.out) ;

//  	java.util.Iterator iterHist = historyToPrint.iterator() ;
// 	while(iterHist.hasNext()) {
// 	    println("  "+iterHist.next());
// 	} // EndWhile iterHist.hasNext()

	return true ;
    } // EndMethod handleCall

} // EndClass HistoryCommand
