/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * InfoCommand.java
 * 
 * Time-stamp: <01/06/28 10:57:48 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: InfoCommand.java,v 1.2 2003/04/07 18:10:36 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

import laas.friends.cosmopen.interpreter.Command ;
import laas.friends.cosmopen.graphAnalysis.DirectedGraphWithDict ;
import laas.friends.cosmopen.utils.MiscUtils ;

import java.util.Map.Entry ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.3
 */
public class InfoCommand extends Command {

    public InfoCommand() {
	super("info") ;
	this.setShortDescription("info on current state of the interpreter.") ;
	this.setLongDescription
	    ( "'info' prints information of the current state of the "+
	      "interpreter. In particular the defined variables are listed "+
	      "and the number of nodes in each of them is given.") ;
    } // EndConstructor InfoCommand

    public boolean handleCall(String[] args) {
	if ( ! thereIsRightNumberOfArgs(args) ) return false;
	java.util.Iterator iter = 
	    GraphVariable.GetKnownVariables().entrySet().iterator() ;

	println("Known Variables :") ;

	while(iter.hasNext()) {
	    Entry currtEntry = (Entry)iter.next() ;
	    String name = 
		MiscUtils.ExtendWithSpaces
		( "'"+(String)currtEntry.getKey()+"'", 10 ) ;
	    DirectedGraphWithDict graph = 
		(DirectedGraphWithDict)currtEntry.getValue() ;
	    println
		(name+" : "+graph.getVerticesCount()+" nodes.") ;
	} // EndWhile iter.hasNext
	return true ;
    } // EndMethod handleCall

} // EndClass InfoCommand
