/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * RemoveCommand.java
 * 
 * Time-stamp: <2003-02-24 17:23:32 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: RemoveCommand.java,v 1.3 2003/10/13 07:25:42 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

import laas.friends.cosmopen.graphAnalysis.* ;

import java.util.* ;

/**
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.3 $
 * @since Version 0.0.3
 */
public class RemoveCommand extends AbstractRemove {

    public RemoveCommand() {
	super("remove") ;
	addAlias("r");
	addAlias("-");
	addAlias("rem");
	addAlias("rm");
	this.setShortDescription
	    ( "removes the nodes of a graph whose name match a pattern.") ;
	this.setLongDescription
	    ( "'remove <aPattern> <aVariableName>' removes the nodes whose "+
	      "names match the passed pattern from the graph contained in "+
	      "the variable whose name is passed.\n"+
	      "<aPattern> must be a limited wildcard expression. I.e. stars "+
	      "('*') are allowed either at the beginning or at the end of the "+
	      "pattern but not in the middle.") ;
    } // EndConstructor RemoveCommand
	
    /** ****************************************************
     * returns the nodes in the graph that was passed to the command
     * whose names match the "limited regular expression" of
     * <code>condition</code>.
     * @see DirectedGraphWithDictImpl#getNodeSWithRegExp(String)
     */
    protected Collection getNodeSToRemoveFromCondition(String condition)
    {
	return graphUnderFire.getNodeSWithRegExp(condition);
    }

} // EndClass RemoveCommand

