/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * SpreadCommand.java
 * 
 * Time-stamp: <02/08/15 12:17:38 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: SpreadCommand.java,v 1.2 2003/04/07 18:10:36 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;
import laas.friends.cosmopen.graphAnalysis.DirectedGraphWithDict ;


/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.3
 */
public class SpreadCommand extends AbstractBackForwCommand {

    public SpreadCommand() {
	super("spread",SPREAD) ;
	addAlias("s");
	this.setShortDescription
	    ( "union of the forward and backward closures of a graph.") ;
	this.setLongDescription
	    ( "'spread <seed> [<context>]' computes the union of the "+
	      "forward and backward closures of "+
	      "the graph contained in the variable '<seed>'. The "+
	      "result of the computation is stored in the passed variable. "+
	      "If no explicit context graph is given, the base graph is used.") ;
     } // EndConstructor SpreadCommand

    public boolean handleCall(String[] args) throws Exception {
	if ( ! doNecessaryVariableChecks(args,1,2) ) return false ;

	// -1 means no limit on the backward operation -> closure
	return this.handleCallInternal(args,-1) ;

// 	if ( ! doNecessaryVariableChecks(args,1,2) ) return false ;

// 	boolean executionOk = false ;
// 	try {
// 	    DirectedGraphWithDict contextGraph ;
// 	    String                contextName = getContextName(args);
// 	    contextGraph = GraphVariable.GetGraphForName(contextName) ;
// 	    DirectedGraphWithDict graphUnderWork 
// 		= GraphVariable.GetGraphForName(args[1]) ;
// 	    DirectedGraphWithDict backwardClosure = 
// 		contextGraph.
// 		extractBackwardClosureFromGraph(graphUnderWork) ;
// 	    DirectedGraphWithDict result = 
// 		contextGraph.
// 		extractForwardClosureFromGraph(graphUnderWork) ;
// 	    result.addGraph(backwardClosure) ;
// 	    GraphVariable.SetVariableToValue(args[1],result) ;
// 	    GraphVariable.NotifyChangeOnVariable(args[1],args) ;
// 	    GraphVariable.PutHistoryArgsInputOutput
// 		( args, 
// 		  new String[] {args[1],contextName},
// 		  new String[] {args[1]}
// 		  );
// 	    executionOk = true ;
// 	} 
// 	catch (DirectedGraphWithDict.NotALimitedWilcardExpression except) {
// 	    println( "ERROR WITH EXPRESSION: " + except ) ;
// 	} // EndCatch
// 	catch (Exception except) {
// 	    println( "INTERNAL ERROR: " + except ) ;
// 	    except.printStackTrace() ;
// 	} // EndCath
// 	return executionOk ;
    } // EndMethod handleCall

} // EndClass SpreadCommand
