/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * SuppressCommand.java
 * 
 * Time-stamp: <01/07/04 12:45:08 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: SuppressCommand.java,v 1.2 2003/04/07 18:10:36 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

import laas.friends.cosmopen.interpreter.Command ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.3
 */
public class SuppressCommand extends Command {

    public SuppressCommand() {
	super("delete",1,-1) ;
	this.setShortDescription
	    ( "deletes a graph variable.") ;
	this.setLongDescription
	    ( "'delete <var1> [<var2>..<varN>]' deletes the variables "+
	      "whose names are passed as parameter. It is not possible "+
	      "to clear the base graph with this command. Use 'clearall' "+
	      "instead.") ;
    } // EndConstructor SuppressCommand

    public boolean handleCall(String[] args) {
	if ( ! thereIsRightNumberOfArgs(args) ) return false ;
	
	java.util.List modifiedVar = new java.util.Vector() ;

	for (int i=1 ; i < args.length ; i++) {

	    if ( ! GraphVariable.VariableWithNameIsKnown(args[i]) ) {
		println
		    ( "Variable with name '"+args[i]+"' is not defined.") ; 
		return false ;
	    } // EndIf VariableWithNameIsKnown
	    else 
		if (args[i].equals(GraphVariable.NAME_OF_BASEALIAS)) {
		    println
			("ERROR: It is not possible "+
			 "to suppress the base graph with this command. "+
			 "Use 'clearall' instead.") ;
		    return false ;
		} // EndIf passed variable is base graph
		else {
		    GraphVariable.DeleteVariable(args[i]) ;
		    println("Variable '"+args[i]+"' deleted.") ;
		    modifiedVar.add(args[i]) ;
		} // EndElse everythin ok, we can delete
	} // EndFor i
	GraphVariable.PutHistoryArgsInputOutput
	    ( args, 
	      new String[] {},
	      (String[])modifiedVar.toArray(new String[]{})
	      );
	return true ;
    } // EndMethod handleCall

} // EndClass SuppressCommand
