/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * CallGraphDotWriter.java
 * 
 * Time-stamp: <2002-08-16 23:38:47 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: CallGraphDotWriter.java,v 1.6 2007/09/18 18:23:42 ftaiani_normal Exp $
 * 
 */

package laas.friends.cosmopen.graphAnalysis ;

/**
 * Is used in {@link CallGraph} to return
 * a formatting writer.
 * @see CallGraph#getFormattingWriter()
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.6 $
 * @since Version 0.1.1
 */
public class CallGraphDotWriter 
    extends    DirectedGraphWithDict2DotOStream
    implements DirectedGraphWriter
{
    static private 
	CallGraphToCondensedGraphTransformer callGraphPlugin
	= new CallGraphToCondensedGraphTransformer() ;

    static protected boolean doUmlLike = false ;
    public static void setUmlLikeFormat(boolean newValue) { doUmlLike = newValue ; } 

    public CallGraphDotWriter() {}

    public CallGraphDotWriter(java.io.OutputStream anOStream) {
	super(anOStream) ;
    } // EndConstructor CallGraphDotWriter

    public void writeGraphInDotFormat(DirectedGraphWithDict sourceGraph) {
	DirectedGraphWithDict graphToWrite = null ;

	if (sourceGraph instanceof CallGraph) {
	    System.out.println("Converting call graph.") ;
	    try {
		graphToWrite = callGraphPlugin.fromCallGraphToGraph((CallGraph)sourceGraph);
// 		// DEBUG
// 		DirectedGraphWriter writer = new XMLGraphWriter(System.out) ;
// 		writer.writeGraph(graphToWrite) ;
	    } catch(Exception e) {
		e.printStackTrace() ;
	    }
	}
	else {
	    System.out.println("No Conversion needed.") ;
	    graphToWrite = sourceGraph ;
	}
	
	super.writeGraphInDotFormat(graphToWrite) ;
    } // EndMethod writeGraph

} // EndClass CallGraphDotWriter
