/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * ControlFlowRenderer.java
 * 
 * Time-stamp: <2002-08-17 00:43:28 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: ControlFlowRenderer.java,v 1.6 2004/09/09 15:31:00 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.graphAnalysis;

import laas.friends.cosmopen.utils.PropertyBag ;

/**
 * The {@link PropertyRenderer} used by {@link
 * DirectedGraphWithDict2DotOStream} to format raw call graph
 * (ie uncondensed instances of {@link CallGraph}).
 *
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.6 $
 * @since Version 0.1.1
 */
public class ControlFlowRenderer 
    extends CallLinkRenderer {

    public String formatProperty(String       kindOfLink,
				 PropertyBag  propOfLink,
				 NamedEdge    linkToBeRendered,
				 DirectedGraphWithDict theGraph ) 
    {
	StringBuffer result = new StringBuffer();
	String subkind = propOfLink.getValueForProperty("subkind") ;
	renderKindOnBuffer( subkind, result ) ;
	NamedVertex source = (NamedVertex)linkToBeRendered.getSource() ;
	String threadIDs  =  source.getValueForProperty("threadID") ;

	result.append(  "label=\"") ;

	if (threadIDs!=null)
	    result.append("t").append(threadIDs) ;

	if (subkind.equals("threadCreate")) {
	    String threadOfSink = 
		((NamedVertex)linkToBeRendered.getSink())
		.getValueForProperty("threadID") ;
	    if (threadOfSink!=null)
		result.append(" creates t").append(threadOfSink) ;
	} // EndIf (subkind.equals("threadCreate"))

	result.append(  "\" ") ;
	return result.toString() ;
    }

} // EndClass ControlFlowRenderer
