/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * XMLCallGraphReader.java
 * 
 * Time-stamp: <2003-03-07 14:41:35 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: XMLCallGraphReader.java,v 1.1 2004/09/09 15:34:29 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.graphAnalysis;

/**
 * Reads {@link CallGraph}s from xml representations.
 * Works like {@link XMLGraphReader} except
 * that it uses a different builder: {@link XMLCallGraphBuilder}.
 * @see XMLGraphReader
 * @see XMLCallGraphBuilder
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.1 $
 * @since Version 0.1.1
 */
public class XMLCallGraphReader 
    extends XMLGraphReader {

    public XMLCallGraphReader() {
    } // EndConstructor XMLCallGraphReader

    public XMLCallGraphReader
	(   CallGraph aNewReceiver    ,
	    CallGraph aNewContext     ) {

	super( aNewReceiver, aNewContext ) ;

    } // EndConstructor

    public XMLGraphBuilder createBuilder(DirectedGraphWithDict context) {
	return new XMLCallGraphBuilder(context) ;
    }

} // EndClass XMLCallGraphReader

class XMLCallGraphBuilder extends XMLGraphBuilder {

    public XMLCallGraphBuilder(DirectedGraphWithDict contextGraph) {
	super(contextGraph) ;
    } // EndConstructor

    public DirectedGraphWithDict createNewGraph() {
	return new CallGraph() ;
    }

    protected void onNewPropertiesInVertex(NamedVertex luckyVertex) {
	((CallGraph)getGraphUnderWork()).notifyVertexGotEventID(luckyVertex) ;
    } ;

} // EndClass XMLCallGraphBuilder
