/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * XMLGraphWriter.java
 * 
 * Time-stamp: <2002-08-26 14:01:03 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: XMLGraphWriter.java,v 1.2 2004/10/04 21:47:43 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.graphAnalysis   ;

import laas.friends.cosmopen.utils.MiscUtils ;
import laas.friends.cosmopen.utils.PropertyBag ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.4
 */
public class XMLGraphWriter extends DGWriterAdapter {

    public XMLGraphWriter(java.io.OutputStream anOStream) {
		super(anOStream) ;
    } // EndConstructor XMLGraphWriter

    protected void writeHeader(DirectedGraphWithDict graphToBeRendered) {
	_theStreamIWriteTo.println("<project ") ;
	writeAttributes(graphToBeRendered.getPropBag()) ;
	_theStreamIWriteTo.println(">") ;
    } // EndMethod writeHeader

    protected void writeClosing() {
	_theStreamIWriteTo.println("</project>") ;
    } // EndMethod writeClosing

    protected void writeVertexRendering(NamedVertex classToBeRendered) {
// 	System.out.println("Output class :"+classToBeRendered);
	_theStreamIWriteTo.print("<class ") ;
	writeAttributes(classToBeRendered.getPropBag()) ;
	_theStreamIWriteTo.println(">") ;
	
    } // EndMethod writeVertexRendering

    protected void writeVertexClosing() {
	_theStreamIWriteTo.println("</class>") ;
	
    } // EndMethod writeVertexClosing

    /**
     * Writes the properties of a {@link PropertyBag } as
     * the attributes of a XML tag.
     */
    private void writeAttributes(PropertyBag aPropBag) {
	java.util.Iterator propIterat = aPropBag.iterator() ;
	// LOOP THROUGH PROPERTIES OF THE PASSED CLASS
	while (propIterat.hasNext()) {
	    String propName = (String)propIterat.next() ;
	    _theStreamIWriteTo
		.print( propName+"=\""+
			MiscUtils.makeXMLCompliant
			  ( aPropBag.getValueForProperty(propName) )+
			"\" ") ;
	} // EndWhile Loop through properties
	
    } // EndMethod writeAttributes

    protected void writeEdgeRendering(NamedEdge linkToBeRendered) {
	_theStreamIWriteTo.print("    <link ") ;
	writeAttributes(linkToBeRendered.getPropBag()) ;
	_theStreamIWriteTo.println("/>") ;
	
    } // EndMethod writeEdgeRendering
    
} // EndClass XMLGraphWriter
