/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * IllegalCommandArgException.java
 * 
 * Time-stamp: <02/08/15 12:00:28 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: IllegalCommandArgException.java,v 1.1 2004/09/09 19:36:12 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.interpreter ;

import java.util.* ;

/**
 * Is thrown by 
 * {@link CommandInterpreter#interpretCommand(String commandAndArgs)} 
 * when the passed command is not known to the interpreter, and can
 * be completed in several manners.
 *
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.1 $
 * @since Version 0.1.1
 */
public class IllegalCommandArgException 
    extends InterpreterException {

    public Collection theCandidates ;

    public IllegalCommandArgException(String message) {
	super(message) ;
    } // EndConstructor IllegalCommandArgException

} // EndClass IllegalCommandArgException
