/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * NullOutStream.java
 * 
 * Time-stamp: <2003-03-11 11:06:21 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * $Id: NullOutStream.java,v 1.2 2003/04/07 18:10:37 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.utils  ;

import java.io.* ;

/**
 * For debug purposes. Just drops anything it gets.
 * @author Francois Taiani   <taiani@laas.fr>
 */
public class NullOutStream extends java.io.OutputStream {

    public void write(int b)    throws IOException { return ; }
    public void write(byte[] b) throws IOException { return ; }

    public void write(byte[] b, int off, int len) 
	throws IOException { return ; }

    public void flush() throws IOException { return ; }
    public void close() throws IOException { return ; }


} // EndClass NullOutStream
