/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * main-observee.cpp
 * 
 * Francois Taiani   <taiani@laas.fr>
 * Time-stamp: <2003-04-07 17:18:38 ftaiani>
 * 
 */
#include <stdio.h>
#include <iostream.h>
#include <pthread.h>
#include <unistd.h>

static int count1 = 0 ;
static int count2 = 0 ;

void* StartOfThreadN1(void *) {
  count1++ ;
  return 0 ;
}

void* StartOfThreadN2(void *) {
  count2++ ;
  return 0 ;
}

int main (int argc, char * argv[]) {
  
  pthread_t threadN1, threadN2 ;
  
  if (pthread_create(&threadN1, NULL, StartOfThreadN1, NULL)!=0) {
    perror("No possible to launch thread 1. Aborting.") ;
    exit(1) ;
  }

  if (pthread_create(&threadN2, NULL, StartOfThreadN2, NULL)!=0) {
    perror("No possible to launch thread 2. Aborting.") ;
    exit(1) ;
  }

  exit(0) ;

} // EndMain ;

